summaryrefslogtreecommitdiffstats
path: root/academic/WordNet
diff options
context:
space:
mode:
author Michael Gabilondo <mgabilo{at}gmail{dot}com>2010-05-13 00:19:45 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:19:45 +0200
commit150a22c8ea33e4d808c782347956860bcd59725e (patch)
tree28e1e9bec261fa1b5c20034cf648ff8b06964831 /academic/WordNet
parent828f3f65bcd3b435614a7ff1a581b89a84b0f702 (diff)
downloadslackbuilds-150a22c8ea33e4d808c782347956860bcd59725e.tar.gz
slackbuilds-150a22c8ea33e4d808c782347956860bcd59725e.tar.xz
academic/WordNet: Updated for version 3.0
Diffstat (limited to 'academic/WordNet')
-rw-r--r--academic/WordNet/README9
-rw-r--r--academic/WordNet/WordNet.SlackBuild25
-rw-r--r--academic/WordNet/WordNet.info8
-rw-r--r--academic/WordNet/profile.d/WordNet.csh2
-rw-r--r--academic/WordNet/profile.d/WordNet.sh3
-rw-r--r--academic/WordNet/slack-desc2
6 files changed, 30 insertions, 19 deletions
diff --git a/academic/WordNet/README b/academic/WordNet/README
index fa8ad99e04..1dc05160b2 100644
--- a/academic/WordNet/README
+++ b/academic/WordNet/README
@@ -6,12 +6,3 @@ and lexical relations. The resulting network of meaningfully related words
and concepts can be navigated with the browser. WordNet is also freely
and publicly available for download. WordNet's structure makes it a
useful tool for computational linguistics and natural language processing.
-
-WordNet requires Tcl/Tk, which is included with Slackware 12.1.
-
-Since this package does not install to the default location, the WordNet
-browser (wnb) requires the enviornmental variable WNHOME=/usr to be set,
-so that it can find the database files. To do this for bash, you can add
-"export WNHOME=/usr" to the end of ~/.bashrc, without the quotes.
-
-
diff --git a/academic/WordNet/WordNet.SlackBuild b/academic/WordNet/WordNet.SlackBuild
index c5322135ab..69c6b74bcb 100644
--- a/academic/WordNet/WordNet.SlackBuild
+++ b/academic/WordNet/WordNet.SlackBuild
@@ -18,10 +18,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -30,7 +33,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -43,17 +46,27 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--exec-prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
+# Make sure WNHOME is set in the users' environments
+mkdir -p $PKG/etc/profile.d
+cat $CWD/profile.d/WordNet.sh > $PKG/etc/profile.d/WordNet.sh
+cat $CWD/profile.d/WordNet.csh > $PKG/etc/profile.d/WordNet.csh
+chmod 0755 $PKG/etc/profile.d/*
+
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -62,11 +75,11 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a doc/html doc/ps doc/pdf $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc ; mv html pdf ps $PRGNAM-$VERSION )
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/WordNet/WordNet.info b/academic/WordNet/WordNet.info
index 00e1b91375..c105820376 100644
--- a/academic/WordNet/WordNet.info
+++ b/academic/WordNet/WordNet.info
@@ -1,8 +1,10 @@
PRGNAM="WordNet"
VERSION="3.0"
HOMEPAGE="http://wordnet.princeton.edu/"
-DOWNLOAD="http://wordnet.princeton.edu/3.0/WordNet-3.0.tar.gz"
-MD5SUM="8e96c6f6ba7763fab8143c16401ce24b"
+DOWNLOAD="http://wordnetcode.princeton.edu/3.0/WordNet-3.0.tar.bz2"
+MD5SUM="89b4db7c6840ce69a8e315a3f83d996b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Michael Gabilondo"
EMAIL="mgabilo{at}gmail{dot}com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"
diff --git a/academic/WordNet/profile.d/WordNet.csh b/academic/WordNet/profile.d/WordNet.csh
new file mode 100644
index 0000000000..3445f50d3c
--- /dev/null
+++ b/academic/WordNet/profile.d/WordNet.csh
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv WNHOME /usr
diff --git a/academic/WordNet/profile.d/WordNet.sh b/academic/WordNet/profile.d/WordNet.sh
new file mode 100644
index 0000000000..3d0ff2440d
--- /dev/null
+++ b/academic/WordNet/profile.d/WordNet.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+WNHOME=/usr
+export WNHOME
diff --git a/academic/WordNet/slack-desc b/academic/WordNet/slack-desc
index cbccdb80a4..09a2e12fdf 100644
--- a/academic/WordNet/slack-desc
+++ b/academic/WordNet/slack-desc
@@ -7,6 +7,7 @@
|-----handy-ruler------------------------------------------------------|
WordNet: WordNet (large lexical database of English)
+WordNet:
WordNet: WordNet is a large lexical database of English, developed under the
WordNet: direction of George A. Miller. Nouns, verbs, adjectives and adverbs
WordNet: are grouped into sets of cognitive synonyms (synsets), each
@@ -16,4 +17,3 @@ WordNet: of meaningfully related words and concepts can be navigated with the
WordNet: browser. WordNet's structure makes it a useful tool for computational
WordNet: linguistics and natural language processing.
WordNet:
-WordNet: Homepage: http://wordnet.princeton.edu/